
Figure - Bug #113713
【Figure】【EVT2】【百兆以太网_IOP】LINK UP/SQI/诊断测试Fail
2022-11-04 17:32 - SZ HW Test-曾小文

Status: CLOSED Start date: 2022-11-04

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: 依赖软件规避的bug Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0042.X101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

测试结果请参考附件

History

#1 - 2022-11-07 18:18 - IOT-SP-TEST 刘颖

- Target version set to 依赖硬件的bugList

#2 - 2022-11-07 19:03 - SZ-硬件二组_SD3 王苗

- Status changed from New to ASSIGNED

- Assignee changed from SZ-硬件二组_SD3 王苗 to IOT-SP-TEST 刘颖

已经提供1000M与100M测试报告，请软件先检查下100M寄存器配置。

#3 - 2022-11-08 14:44 - IOT-SP-TEST 刘颖

- Assignee changed from IOT-SP-TEST 刘颖 to CD_BSP 彭文亮

#4 - 2022-11-08 14:44 - IOT-SP-TEST 刘颖

- Category changed from EE to 依赖软件规避的bug

#5 - 2022-11-15 15:02 - CD_BSP 彭文亮

- % Done changed from 0 to 60

LINK UP/SQI/VCT测试，经过近2周的研究、分析、测试和讨论。   均已经进行进行了针对性修复。编译包。等待实验室进行结果的验证。

#6 - 2022-12-12 10:35 - CD BSP-唐金泽

- Target version changed from 依赖硬件的bugList to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

测试机构已验证，通过，@文亮，请考虑如何合入dev分支版本。

#7 - 2022-12-13 11:27 - CD_BSP 彭文亮

- % Done changed from 60 to 70

2025-07-04 1/3



目前正在整理代码，进行验证中。

#8 - 2023-01-03 16:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167212 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU:Added MCU notification MPU networking functionUsed to pass the network connection test, it is necessary to strictly control the network connection

time and add a timing function on the MCU side.Bin version: V0.0.6TC-RID: 1201-0102704IssueID: TS-R-DF-113713Change-Id:

Ib66489af16bb81609f2405b660687b37336809fe

#9 - 2023-01-03 16:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167377 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:UART: Enable PHY linkup When get MCU Messageenable phy linkup when get mcu messageTC-RID: 1201-0400603IssueID: TS-R-DF-113713Change-Id:

Iff0a9db910a95acc9fde745c25d0bda7fa540554

#10 - 2023-01-03 16:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167850 general/platform/vendor/thundercom

m/uart

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:UART: Exchange Uart Service priorityexchange uart service priorityTC-RID: 1201-0400603IssueID: TS-R-DF-113713Change-Id:

I9476ef67ce0267ccf453e5a259bc76676bbddabb

#11 - 2023-01-03 16:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

166247 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wenliang.peng@thundersoft.com

2025-07-04 2/3



BSP:Ethernet: for 100M IOP testInitial: Items(linkup02, linkup03, sqi02)test fail.After modification: All items can pass the test.We recommend using the perf

version for IOP testing.TC-RID: 0301-0400601IssueID: TS-R-DF-113713Change-Id: Ie28af1e44e36b66cb28d3def0119be68c1e9ab05

#12 - 2023-01-11 14:25 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD_BSP 彭文亮 to CDTS_TEST 王成

- % Done changed from 70 to 100

#13 - 2023-01-17 15:18 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#14 - 2023-01-29 11:26 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

由于硬件IOP测试已经通过

软件检测连接以太网盒子后可以正常上网浏览网页

且DTC Ethernet盒子网络移除时会诊断报以下日志：

01-01 08:05:28.227     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

恢复链接后，报错日志消失

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301191306

#15 - 2023-01-29 11:26 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

ChuangDa_IOP测试结果汇总-2022.11.4.xlsx 8.91 KB 2022-11-04 SZ HW Test-曾小文

ChuangDa_Figure_100BASE-T1_IOP_TEST_11.4.zip 7.64 MB 2022-11-04 SZ HW Test-曾小文
